package info.visone.nlpext.crawl.accept;

import java.net.URL;

import org.xml.sax.Attributes;

import info.visone.nlpext.crawl.sys.CrawlState;

public class NoFollowAccepter implements LinkAccepter {

    @Override
    public boolean accept(final URL url, final CrawlState state) {
        final Attributes a = state.getAttributes();
        if (a == null) {
            return true;
        }
        final String rel = a.getValue("rel");
        if (rel == null) {
            return true;
        }
        return !rel.equals("nofollow");
    }
}
